"use strict";
this.name				= "Mineral reset";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Randomly reset minerals store to avoid saturation";
this.version				= "0.4";

this.shipWillExitWitchspace = function()
    {
    missionVariables.mineralStoreReset = 0;
    }

this.shipExitedPlanetaryVicinity = function(planet)
    {
    var mineralStore = Math.floor((32 + 4 * system.economy) * Math.random());
    missionVariables.mineralStoreReset += 0.1 + Math.random() * system.productivity / 100000;
    if(missionVariables.mineralStoreReset >= 1)
        {
        system.mainStation.setMarketQuantity("minerals", mineralStore);
        missionVariables.mineralStoreReset = 0;
        }
    }